# Change Log

## v1.1.0

2024-09 に公開

### 更新内容

更新の概要を記載。
詳しくはオペレーションマニュアルを参照。

#### 計測機能

##### センサーデータ異常検知機能

- センサーから設定回数以上連続して同一の値が取得された場合、ログに警告を出力する
- 設定ファイルで ON/OFF が可能

#### 支援ツール

##### セルフテスト

- コマンドラインから実行すると、接続されたセンサーのセルフテスト機能を順次実行し、結果をコンソールに出力する
- 以下の情報を出力する：
  - センサーのモデル
  - センサーのシリアルナンバー
  - 加速度センサーの異常有無
  - 感度の異常有無
  - 温度センサーの異常有無
  - 電源電圧レベルの異常有無
  - 不揮発性メモリの異常有無
  - 構造共振レベルの異常有無

##### ハードウェア監視

- ロガープログラムと同様、`systemd` にサービス登録する
- 起動中、１分間隔で以下の項目を計測し、CSV ファイルに出力する：
  - 計測時刻
  - CPU 温度
  - CPU 使用率
  - メモリ使用率
  - 保存ディスク使用率

## v1.0.0

2024-04 に公開

### 機能

以下機能概要。詳しくはオペレーションマニュアルを参照。

#### 対応センサー

- A342
  - 912.6kbps, 460.8kbps 通信対応
  - 速度、変位計測
  - 生データ、RMS、Peak to Peak計測
- A352
  - 460.8kbps, 230.4kbps 通信対応
  - サンプリングレート 1000, 500, 200, 100, 50 計測

#### 計測方法

- 自動計測
- スケジュール計測
- 手動計測

#### 出力

- 計測データCSVファイル
- 計測情報ファイル
- 計測ログファイル

以上
